### Function

# Gcr SystemPrompt open_async

#### Declaration [src]

    void
    gcr_system_prompt_open_async (
      gint timeout_seconds,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously open a system prompt with the default system prompter.

Most system prompters only allow showing one prompt at a time, and if another prompt is shown then this method will block for up to `timeout_seconds` seconds. If `timeout_seconds` is equal to -1, then this will block indefinitely until the prompt can be opened. If `timeout_seconds` expires, then this operation will fail with a `GCR_SYSTEM_PROMPT_IN_PROGRESS` error.

This function completes asynchronously. Use `gcr_system_prompt_open_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`timeout_seconds`

  Type: `gint`

  The number of seconds to wait to access the prompt, or -1.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

`user_data`

  Type: `gpointer`

  Data to pass the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.